// Generated by https://quicktype.io
// To parse this JSON data, do
//
//     final bannerModel = bannerModelFromJson(jsonString);

import 'dart:convert';

BannerModel bannerModelFromJson(String str) {
  final jsonData = json.decode(str);
  return BannerModel.fromJson(jsonData);
}

String bannerModelToJson(BannerModel data) {
  final dyn = data.toJson();
  return json.encode(dyn);
}

class BannerModel {
  int id;
  String name;
  String imageUrl;

  BannerModel({
    this.name,
    this.imageUrl,
    this.id,
  });

  factory BannerModel.fromJson(Map<String, dynamic> json) => new BannerModel(
        id: json["id"],
        name: json["name"],
        imageUrl: json["image_url"],
      );

  Map<String, dynamic> toJson() => {
        "name": name,
        "image_url": imageUrl,
        "id": id,
      };
}
